Skip to main content
Version: API v1

Updated den gewünschten Webhook

PUT/v1/webhooks/{webhookIdentifier}
API version
v1
Request method
PUT
Operation ID
updateWebhook

Updated die Daten des gewünschten Webhooks

Request​

  • webhookIdentifierstringrequired

    Die ID des Webhooks

Responses​

Format
application/json
Description

Der überarbeitete Webhook

  • uidstring
  • urlstring (uri)required
  • methodstring (one of: GET, POST, PUT, DELETE, PATCH)required
  • eventType"DOMAIN_REGISTRATION_STATUS"required
  • headersobject
    • parametersobject
      • keystring
      • valuestring
    Content-Type: application/json

    {
    "uid": "string",
    "url": "string",
    "method": "GET",
    "eventType": "DOMAIN_REGISTRATION_STATUS",
    "headers": {},
    "parameters": {
    "key": "string",
    "value": "string"
    }
    }
    {
    "title": "Webhook",
    "required": [
    "eventType",
    "method",
    "url"
    ],
    "type": "object",
    "properties": {
    "uid": {
    "type": "string",
    "readOnly": true
    },
    "url": {
    "type": "string",
    "format": "uri"
    },
    "method": {
    "type": "string",
    "enum": [
    "GET",
    "POST",
    "PUT",
    "DELETE",
    "PATCH"
    ]
    },
    "eventType": {
    "type": "string",
    "enum": [
    "DOMAIN_REGISTRATION_STATUS"
    ]
    },
    "headers": {
    "type": "object",
    "properties": {}
    },
    "parameters": {
    "title": "WebhookParameter",
    "type": "object",
    "properties": {
    "key": {
    "type": "string"
    },
    "value": {
    "type": "string"
    }
    }
    }
    }
    }

    Usage examples​

    $ curl \
    --fail \
    --location \
    -X PUT \
    -d '{"uid":"string","url":"string","method":"GET","eventType":"DOMAIN_REGISTRATION_STATUS","headers":{},"parameters":{"key":"string","value":"string"}}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v1/webhooks/string

    On this page